<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;
use yii\base\Model;

class Article extends Model
{
    public $article_id;
    public $article_title;
    public $article_text;
    public $article_author;
    public $article_date;
    public $article_url;
    
    public static function tableName()
    {
        return '{{%article}}';
    }
    
    public function CountAll()
    {
        $QueryData = Yii::$app->db->createCommand('SELECT count(article_id) AS HowManyRecords FROM {{%article}}')
              ->queryScalar();    
        
        $ToReturn = 0;
        
        if($QueryData != false)
        {
            $ToReturn = $QueryData;
        }
        
        return $ToReturn;
    }
    
    public function SelectArticles($Start,$Limit)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%article}} ORDER BY article_id DESC LIMIT :start,:limit')
        ->bindParam(':start', $Start)
        ->bindParam(':limit', $Limit)
        ->queryAll();   
              
        return $QueryData;
    }
    
    public function SelectOneArticle($ArticleId)
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%article}} WHERE article_id = :article_id')
              ->bindParam(':article_id', $ArticleId)
              ->queryOne();    
        
        if($QueryData == false)
        {
            $ToReturn = false;
        }
        else
        {
            $ToReturn = true;
            
            $this->article_title = $QueryData['article_title'];
            $this->article_text = $QueryData['article_text'];
            $this->article_author = $QueryData['article_author'];
            $this->article_date = $QueryData['article_date'];
            $this->article_url = $QueryData['article_url'];
        }
        
        return $ToReturn;
    }
    
    public function attributeLabels()
    {
        return [
                'article_id' => Yii::t('app', 'art_id'),
                'article_title' => Yii::t('app', 'art_title'),
                'article_text' => Yii::t('app', 'art_content'),
                'article_author' => Yii::t('app', 'art_author'),
                'article_date' => Yii::t('app', 'art_data'),
                'article_url' => Yii::t('app', 'art_url'),
        ];
    }
}
    
?>