<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
namespace app\models;

use Yii;

class Blogadmin extends \yii\db\ActiveRecord
{
    public static function tableName()
    {
        return '{{%blog}}';
    }

    public function rules()
    {
        return [
            [['blog_title', 'blog_text', 'blog_date', 'blog_url', 'blog_category', 'blog_hashtag'], 'required'],
            [['blog_text'], 'string'],
            [['blog_date'], 'safe'],
            [['blog_category'], 'integer'],
            [['blog_title', 'blog_url'], 'string', 'max' => 150],
            [['blog_hashtag'], 'string', 'max' => 255],
        ];
    }

    public function CreateCategoryList()
    {
        $QueryData = Yii::$app->db->createCommand('SELECT * FROM {{%blog_category}}')->queryAll();
        
        for($c=0;$c<count($QueryData);$c++)
        {
            $CategoryList[$QueryData[$c]['category_id']] = $QueryData[$c]['category_title'];
        }    
        
        return $CategoryList;
    }
    
    public function attributeLabels()
    {
        return [
                'blog_id' => Yii::t('app', 'blog_id'),
                'blog_title' => Yii::t('app', 'blog_title'),
                'blog_text' => Yii::t('app', 'blog_content'),
                'blog_date' => Yii::t('app', 'blog_date'),
                'blog_url' => Yii::t('app', 'blog_url'),
                'blog_category' => Yii::t('app', 'blog_category'),
                'blog_hashtag' => Yii::t('app', 'blog_tag'),
        ];
    }
}
