<?php

/**
 * @author: Lukasz Sosna
 * @copyright: 2017-11-29
 * @e-mail: tree@interia.pl
 * @www: http://en.lukasz.sos.pl/
 * @version: 1.0.0
 */
 
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\captcha\Captcha;

$this->title = Yii::t('app', 'p_contact');
$this->params['breadcrumbs'][] = $this->title;

if($ItemToContactList != false)
{
    if($FormWasSend == 'true')
    {
        echo '<div class="alert alert-success" role="alert">'.Yii::t('app', 'p_contact_form_was_send').'</div>';
    }
    
    $form = ActiveForm::begin([
        'id' => 'login-form',
        'enableAjaxValidation' => false,
        'enableClientValidation' => false,
    ]);
    
    echo $form->field($model, 'contact_email')->dropDownList($ItemToContactList);
    
    echo $form->field($model, 'contact_from');
    echo $form->field($model, 'contact_title');
    echo $form->field($model, 'contact_body')->textarea(['rows' => '6']);
    
    echo $form->field($model, 'contact_captcha')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-2">{image}</div><div class="col-lg-10">{input}</div></div>',
                        'captchaAction' => 'contact/captcha'
                    ]);
                    
    echo $form->field($model, 'contact_sendme')->checkbox();
                    
    echo '<div cass="form-group">';
    echo Html::submitButton(Yii::t('app', 'p_contact_send_button'), ['class' => 'btn btn-primary']);
    echo '</div>';
    
    ActiveForm::end();
}
else
{
    echo '<div class="alert alert-danger" role="alert">'.Yii::t('app', 'p_contact_no_email').'</div>';
}

?>